import { JavaObject } from '../../java/lang/JavaObject';
import { Sprachbelegung } from '../../core/data/Sprachbelegung';
import { Sprachpruefung } from '../../core/data/Sprachpruefung';
import { Vector } from '../../java/util/Vector';
export declare class Sprachendaten extends JavaObject {
    schuelerID: number;
    belegungen: Vector<Sprachbelegung>;
    pruefungen: Vector<Sprachpruefung>;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): Sprachendaten;
    static transpilerToJSON(obj: Sprachendaten): string;
    static transpilerToJSONPatch(obj: Partial<Sprachendaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_Sprachendaten(obj: unknown): Sprachendaten;
